package com.ruoyi.syzy.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.syzy.mapper.BBusiMbtiStepsMapper;
import com.ruoyi.syzy.domain.BBusiMbtiSteps;
import com.ruoyi.syzy.service.IBBusiMbtiStepsService;

/**
 * MBTI测评步骤Service业务层处理
 * 
 * @author mingxue
 * @date 2021-08-15
 */
@Service
public class BBusiMbtiStepsServiceImpl implements IBBusiMbtiStepsService {
    @Autowired
    private BBusiMbtiStepsMapper bBusiMbtiStepsMapper;

    /**
     * 查询MBTI测评步骤
     * 
     * @param id MBTI测评步骤ID
     * @return MBTI测评步骤
     */
    @Override
    public BBusiMbtiSteps selectBBusiMbtiStepsById(Long id) {
        return bBusiMbtiStepsMapper.selectBBusiMbtiStepsById(id);
    }

    /**
     * 查询MBTI测评步骤列表
     * 
     * @param bBusiMbtiSteps MBTI测评步骤
     * @return MBTI测评步骤
     */
    @Override
    public List<BBusiMbtiSteps> selectBBusiMbtiStepsList(BBusiMbtiSteps bBusiMbtiSteps) {
        return bBusiMbtiStepsMapper.selectBBusiMbtiStepsList(bBusiMbtiSteps);
    }

    /**
     * 新增MBTI测评步骤
     * 
     * @param bBusiMbtiSteps MBTI测评步骤
     * @return 结果
     */
    @Override
    public int insertBBusiMbtiSteps(BBusiMbtiSteps bBusiMbtiSteps) {
        return bBusiMbtiStepsMapper.insertBBusiMbtiSteps(bBusiMbtiSteps);
    }

    /**
     * 修改MBTI测评步骤
     * 
     * @param bBusiMbtiSteps MBTI测评步骤
     * @return 结果
     */
    @Override
    public int updateBBusiMbtiSteps(BBusiMbtiSteps bBusiMbtiSteps) {
        return bBusiMbtiStepsMapper.updateBBusiMbtiSteps(bBusiMbtiSteps);
    }

    /**
     * 批量删除MBTI测评步骤
     * 
     * @param ids 需要删除的MBTI测评步骤ID
     * @return 结果
     */
    @Override
    public int deleteBBusiMbtiStepsByIds(Long[] ids) {
        return bBusiMbtiStepsMapper.deleteBBusiMbtiStepsByIds(ids);
    }

    /**
     * 删除MBTI测评步骤信息
     * 
     * @param id MBTI测评步骤ID
     * @return 结果
     */
    @Override
    public int deleteBBusiMbtiStepsById(Long id) {
        return bBusiMbtiStepsMapper.deleteBBusiMbtiStepsById(id);
    }
}
